diff --git a/drupal7/sites/all/modules/date/date_all_day/tests/date_all_day_test_feature/date_all_day_test_feature.features.field_base.inc b/drupal7/sites/all/modules/date/date_all_day/tests/date_all_day_test_feature/date_all_day_test_feature.features.field_base.inc
new file mode 100644
index 00000000..e3ca1ed7
--- /dev/null
+++ b/drupal7/sites/all/modules/date/date_all_day/tests/date_all_day_test_feature/date_all_day_test_feature.features.field_base.inc
@@ -0,0 +1,70 @@
+<?php
+
+/**
+ * @file
+ * date_all_day_test_feature.features.field_base.inc
+ */
+
+/**
+ * Implements hook_field_default_field_bases().
+ */
+function date_all_day_test_feature_field_default_field_bases() {
+  $field_bases = array();
+
+  // Exported field_base: 'body'.
+  $field_bases['body'] = array(
+    'active' => 1,
+    'cardinality' => 1,
+    'deleted' => 0,
+    'entity_types' => array(
+      0 => 'node',
+    ),
+    'field_name' => 'body',
+    'indexes' => array(
+      'format' => array(
+        0 => 'format',
+      ),
+    ),
+    'locked' => 0,
+    'module' => 'text',
+    'settings' => array(),
+    'translatable' => 1,
+    'type' => 'text_with_summary',
+  );
+
+  // Exported field_base: 'field_date_all_day'.
+  $field_bases['field_date_all_day'] = array(
+    'active' => 1,
+    'cardinality' => 1,
+    'deleted' => 0,
+    'entity_types' => array(),
+    'field_name' => 'field_date_all_day',
+    'indexes' => array(
+      'value' => array(
+        0 => 'value',
+      ),
+    ),
+    'locked' => 0,
+    'module' => 'date',
+    'settings' => array(
+      'cache_count' => 4,
+      'cache_enabled' => 0,
+      'granularity' => array(
+        'day' => 'day',
+        'hour' => 'hour',
+        'minute' => 'minute',
+        'month' => 'month',
+        'second' => 0,
+        'year' => 'year',
+      ),
+      'repeat' => 0,
+      'timezone_db' => '',
+      'todate' => '',
+      'tz_handling' => 'none',
+    ),
+    'translatable' => 0,
+    'type' => 'datetime',
+  );
+
+  return $field_bases;
+}
diff --git a/drupal7/sites/all/modules/date/date_all_day/tests/date_all_day_test_feature/date_all_day_test_feature.features.field_instance.inc b/drupal7/sites/all/modules/date/date_all_day/tests/date_all_day_test_feature/date_all_day_test_feature.features.field_instance.inc
new file mode 100644
index 00000000..3711363b
--- /dev/null
+++ b/drupal7/sites/all/modules/date/date_all_day/tests/date_all_day_test_feature/date_all_day_test_feature.features.field_instance.inc
@@ -0,0 +1,123 @@
+<?php
+
+/**
+ * @file
+ * date_all_day_test_feature.features.field_instance.inc
+ */
+
+/**
+ * Implements hook_field_default_field_instances().
+ */
+function date_all_day_test_feature_field_default_field_instances() {
+  $field_instances = array();
+
+  // Exported field_instance: 'node-date_all_day_test-body'.
+  $field_instances['node-date_all_day_test-body'] = array(
+    'bundle' => 'date_all_day_test',
+    'default_value' => NULL,
+    'deleted' => 0,
+    'description' => '',
+    'display' => array(
+      'default' => array(
+        'label' => 'hidden',
+        'module' => 'text',
+        'settings' => array(),
+        'type' => 'text_default',
+        'weight' => 0,
+      ),
+      'teaser' => array(
+        'label' => 'hidden',
+        'module' => 'text',
+        'settings' => array(
+          'trim_length' => 600,
+        ),
+        'type' => 'text_summary_or_trimmed',
+        'weight' => 0,
+      ),
+    ),
+    'entity_type' => 'node',
+    'field_name' => 'body',
+    'label' => 'Body',
+    'required' => FALSE,
+    'settings' => array(
+      'display_summary' => TRUE,
+      'text_processing' => 1,
+      'user_register_form' => FALSE,
+    ),
+    'widget' => array(
+      'module' => 'text',
+      'settings' => array(
+        'rows' => 20,
+        'summary_rows' => 5,
+      ),
+      'type' => 'text_textarea_with_summary',
+      'weight' => 1,
+    ),
+  );
+
+  // Exported field_instance: 'node-date_all_day_test-field_date_all_day'.
+  $field_instances['node-date_all_day_test-field_date_all_day'] = array(
+    'bundle' => 'date_all_day_test',
+    'deleted' => 0,
+    'description' => '',
+    'display' => array(
+      'default' => array(
+        'label' => 'above',
+        'module' => 'date',
+        'settings' => array(
+          'custom_date_format' => '',
+          'format_type' => 'long',
+          'fromto' => 'both',
+          'multiple_from' => '',
+          'multiple_number' => '',
+          'multiple_to' => '',
+          'show_remaining_days' => FALSE,
+          'show_repeat_rule' => 'show',
+        ),
+        'type' => 'date_default',
+        'weight' => 8,
+      ),
+      'teaser' => array(
+        'label' => 'above',
+        'settings' => array(),
+        'type' => 'hidden',
+        'weight' => 0,
+      ),
+    ),
+    'entity_type' => 'node',
+    'field_name' => 'field_date_all_day',
+    'label' => 'Date All Day',
+    'required' => FALSE,
+    'settings' => array(
+      'default_value' => 'now',
+      'default_value2' => 'same',
+      'default_value_code' => '',
+      'default_value_code2' => '',
+      'user_register_form' => FALSE,
+    ),
+    'widget' => array(
+      'active' => 1,
+      'module' => 'date',
+      'settings' => array(
+        'display_all_day' => 1,
+        'increment' => 15,
+        'input_format' => 'm/d/Y - H:i:s',
+        'input_format_custom' => '',
+        'label_position' => 'above',
+        'no_fieldset' => 0,
+        'repeat_collapsed' => 0,
+        'text_parts' => array(),
+        'year_range' => '-3:+3',
+      ),
+      'type' => 'date_select',
+      'weight' => 9,
+    ),
+  );
+
+  // Translatables
+  // Included for use with string extractors like potx.
+  t('Body');
+  t('Date All Day');
+
+  return $field_instances;
+}
diff --git a/drupal7/sites/all/modules/date/date_all_day/tests/date_all_day_test_feature/date_all_day_test_feature.features.inc b/drupal7/sites/all/modules/date/date_all_day/tests/date_all_day_test_feature/date_all_day_test_feature.features.inc
new file mode 100644
index 00000000..6d5f0faa
--- /dev/null
+++ b/drupal7/sites/all/modules/date/date_all_day/tests/date_all_day_test_feature/date_all_day_test_feature.features.inc
@@ -0,0 +1,24 @@
+<?php
+
+/**
+ * @file
+ * date_all_day_test_feature.features.inc
+ */
+
+/**
+ * Implements hook_node_info().
+ */
+function date_all_day_test_feature_node_info() {
+  $items = array(
+    'date_all_day_test' => array(
+      'name' => t('Date Test'),
+      'base' => 'node_content',
+      'description' => t('This content type is used for testing the Date All Day module.'),
+      'has_title' => '1',
+      'title_label' => t('Title'),
+      'help' => '',
+    ),
+  );
+  drupal_alter('node_info', $items);
+  return $items;
+}
diff --git a/drupal7/sites/all/modules/date/date_all_day/tests/date_all_day_test_feature/date_all_day_test_feature.info b/drupal7/sites/all/modules/date/date_all_day/tests/date_all_day_test_feature/date_all_day_test_feature.info
new file mode 100644
index 00000000..2c5a795d
--- /dev/null
+++ b/drupal7/sites/all/modules/date/date_all_day/tests/date_all_day_test_feature/date_all_day_test_feature.info
@@ -0,0 +1,21 @@
+name = Date All Day Test Feature
+description = Example content type for testing the Date All Day module.
+core = 7.x
+package = Date/Time
+version = 7.78-dev
+dependencies[] = date:date
+dependencies[] = date:date_all_day
+dependencies[] = features:features
+features[features_api][] = api:2
+features[field_base][] = body
+features[field_base][] = field_date_all_day
+features[field_instance][] = node-date_all_day_test-body
+features[field_instance][] = node-date_all_day_test-field_date_all_day
+features[node][] = date_all_day_test
+hidden = 1
+
+; Information added by Drupal.org packaging script on 2021-03-05
+version = "7.x-2.11"
+core = "7.x"
+project = "date"
+datestamp = "1614952728"
diff --git a/drupal7/sites/all/modules/date/date_all_day/tests/date_all_day_test_feature/date_all_day_test_feature.install b/drupal7/sites/all/modules/date/date_all_day/tests/date_all_day_test_feature/date_all_day_test_feature.install
new file mode 100644
index 00000000..a58edf69
--- /dev/null
+++ b/drupal7/sites/all/modules/date/date_all_day/tests/date_all_day_test_feature/date_all_day_test_feature.install
@@ -0,0 +1,16 @@
+<?php
+
+/**
+ * @file
+ * Uninstall functions for the Date All Day Test Feature module.
+ */
+
+/**
+ * Implements hook_uninstall().
+ */
+function date_all_day_test_feature_uninstall() {
+  node_type_delete('date_test_feature');
+  variable_del('node_preview_date_test_feature');
+  node_types_rebuild();
+  menu_rebuild();
+}
diff --git a/drupal7/sites/all/modules/date/date_all_day/tests/date_all_day_test_feature/date_all_day_test_feature.module b/drupal7/sites/all/modules/date/date_all_day/tests/date_all_day_test_feature/date_all_day_test_feature.module
new file mode 100644
index 00000000..a0b1cfb0
--- /dev/null
+++ b/drupal7/sites/all/modules/date/date_all_day/tests/date_all_day_test_feature/date_all_day_test_feature.module
@@ -0,0 +1,8 @@
+<?php
+
+/**
+ * @file
+ * Migration integration for Date All Day Test Example.
+ */
+
+include_once 'date_all_day_test_feature.features.inc';
diff --git a/drupal7/sites/all/modules/date/date_api/date_api.info b/drupal7/sites/all/modules/date/date_api/date_api.info
index c537ca04..d453a58a 100644
--- a/drupal7/sites/all/modules/date/date_api/date_api.info
+++ b/drupal7/sites/all/modules/date/date_api/date_api.info
@@ -4,14 +4,15 @@ package = Date/Time
 core = 7.x
 php = 5.2
 
-stylesheets[all][] = date.css
-
 files[] = date_api.module
 files[] = date_api_sql.inc
 
-; Information added by Drupal.org packaging script on 2017-04-07
-version = "7.x-2.10"
+; Test coverage.
+files[] = tests/DateApiTestCase.test
+files[] = tests/DateApiUnitTestCase.test
+
+; Information added by Drupal.org packaging script on 2021-03-05
+version = "7.x-2.11"
 core = "7.x"
 project = "date"
-datestamp = "1491562090"
-
+datestamp = "1614952728"
diff --git a/drupal7/sites/all/modules/date/date_api/date_api.install b/drupal7/sites/all/modules/date/date_api/date_api.install
index d5a68bbd..2c5a1efa 100644
--- a/drupal7/sites/all/modules/date/date_api/date_api.install
+++ b/drupal7/sites/all/modules/date/date_api/date_api.install
@@ -128,8 +128,8 @@ function date_api_update_7000() {
   // 'date_format_type' table.
   if (db_table_exists('date_format_types')) {
     // Find all the custom entries in the D6 table.
-    $result = db_select('date_format_types', 'old')
-      ->fields('old', array('type', 'title', 'locked'))
+    $result = db_select('date_format_types', 'old_formats')
+      ->fields('old_formats', array('type', 'title', 'locked'))
       ->condition('locked', 0)
       ->execute()
       ->fetchAll(PDO::FETCH_ASSOC);
@@ -138,7 +138,7 @@ function date_api_update_7000() {
     foreach ($result as $row) {
       // See if this value already exists in the new table
       // (it might have been added manually before this update got run).
-      $count = db_select('date_format_type', 'new')
+      $count = db_select('date_format_type', 'new_formats')
         ->condition('type', $row['type'])
         ->countQuery()
         ->execute()
@@ -167,8 +167,8 @@ function date_api_update_7000() {
   // 'd6_date_formats') to the new 'date_formats' table.
   if (db_table_exists('d6_date_formats')) {
     // Find all the custom entries in the D6 table.
-    $result = db_select('d6_date_formats', 'old')
-      ->fields('old', array('format', 'type', 'locked'))
+    $result = db_select('d6_date_formats', 'old_formats')
+      ->fields('old_formats', array('format', 'type', 'locked'))
       ->condition('type', 'custom')
       ->execute()
       ->fetchAll(PDO::FETCH_ASSOC);
@@ -177,7 +177,7 @@ function date_api_update_7000() {
     foreach ($result as $row) {
       // See if this value already exists in the new table (it might have been
       // added manually before this update got run).
-      $count = db_select('date_formats', 'new')
+      $count = db_select('date_formats', 'new_formats')
         ->condition('format', $row['format'])
         ->condition('type', $row['type'])
         ->countQuery()
@@ -205,8 +205,8 @@ function date_api_update_7000() {
   // to 'd6_date_format_locale') to the new 'date_format_locale' table.
   if (db_table_exists('d6_date_format_locale')) {
     // Find all the custom entries in the D6 table.
-    $result = db_select('d6_date_format_locale', 'old')
-      ->fields('old', array('format', 'type', 'language'))
+    $result = db_select('d6_date_format_locale', 'old_formats')
+      ->fields('old_formats', array('format', 'type', 'language'))
       ->condition('type', 'custom')
       ->execute()
       ->fetchAll(PDO::FETCH_ASSOC);
@@ -215,7 +215,7 @@ function date_api_update_7000() {
     foreach ($result as $row) {
       // See if this value already exists in the new table (it might have been
       // added manually before this update got run).
-      $count = db_select('date_format_locale', 'new')
+      $count = db_select('date_format_locale', 'new_formats')
         ->condition('format', $row['format'])
         ->condition('type', $row['type'])
         ->condition('language', $row['language'])
